﻿<!-- 用户照片设置模板 -->
<script id="profilePhotoTemplate" type="text/x-jQuery-tmpl">
	<ul>
    	<li><img src="#" width="180" height="180" id="photo"/></li>
    </ul>
    <form id="photoUploadForm" action="/Images/FileUpload.ashx" method="post" enctype="multipart/form-data">
    <ul>
    	<li>在木头盒子大家都是“有头有脸”的朋友，上传头像让大家更快认识您。 <br />
选择喜欢的图片作为您的头像：</li>
        <li><div class="Uload1"><input type="file" name="fileUploadControl" id="fileUploadControl" class="Uload2" /></div><input type="hidden" name="type" value="photo"/></li>
        <li>(可以上传 jpg,gif,png 格式的图片)</li>
    </ul>
    </form>
    <div class="clearfix"></div>
    <div class="lines clearfix"></div>
</script>

<!-- 用户照片上传弹出框模板 -->
<script id="photoDialogTemplate" type="text/x-jQuery-tmpl">
    <style>
        .messageBoxCon{width:610px;}
    </style>
    <div id="imageDisplay" style="background:#fff; width:610px; height:410px; position:absolute; z-index:2; left:0px;">
        <h2 style="height:50px; line-height:50px; padding-left:20px;font-family:'微软雅黑'; font-size:16px;" class="ColorAacd60">编辑头像</h2>
        <div id="statusText" style="margin-top:110px;margin-left:200px;font-family:'微软雅黑';font-size:18px;"></div>
        <div id="imageArea" style="width:570px; height:370px;">
            <div id="background">
                <img src="" id="bgImage" class="stretch" alt="" />
            </div>
            <div class="drawArea"></div>
        </div>
        <div style="text-align:center; margin-top:20px;"><input type="button" id="selBtn" class="Public-Btn-Box WebSure" value="确 定" style="display:none"/></div>
    </div>
</script>

<!-- 用户基本信息模板 -->
<script id="userGeneralInfoTemplate" type="text/x-jQuery-tmpl">
    <form id="generalInfoForm">
    <table cellpadding="5" cellspacing="10">
        <tr><td><div align="right" class="f">昵称：</div></td>
        <td>
            <input type="text" value="${user.displayName}" id="nickname" name="nickname" class="nickname" remote="/PublicService/AccountService.svc/ajax/IsNicknameAvailableForChange" />
        </td></tr>
        <tr><td><div align="right" class="f">性别：</div></td>
            <td>
                <div class="sex">
                <input type="radio" name="gender" value="Male">男
                <input type="radio" name="gender" value="Female">女
                <input type="radio" name="gender" value="NotDefined">保密      
                </div>     
           </td>
        </tr>
        <tr><td><div align="right" class="f">城市：</div></td>
            <td> 
                <select id="province" class="province-city">
                    <option value="0"></option>
                    {{tmpl(provinces) "#locationTemplate"}}
                </select>
                <select id="city" class="province-city">
                </select>            </td>
        </tr>
        <tr><td valign="top"><div align="right" class="f">一句话介绍：</div></td><td><textarea id="intro" class="Rounded">${user.intro}</textarea></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" value="保存设置" id="updateInfoBtn" class="Public-Btn-Box SaveChange"/><span class="resultMessage"></span></td></tr>
    </table>
    </form>
</script>

<!-- 用户区域位置模板 -->
<script id="locationTemplate" type="text/x-jQuery-tmpl">
    <option value="${Id}">${Name}</option>
</script>

<!-- 用户email页面模板-->
<script id="emailTemplate" type="text/x-jQuery-tmpl">
    <form id="emailForm">
        <table cellpadding="5" cellspacing="10" width=454>
          <tr><td><div align="right" class="f">邮件地址</div></td><td><input type="text" id="email" name="email" class="inputBox Rounded" remote="/PublicService/AccountService.svc/ajax/IsEmailAvailable" value="${email}"/>
          <tr><td>&nbsp;</td><td><input type="submit" id="updateEmailBtn" value="保存设置" class="Public-Btn-Box SaveChange"/></td></tr>
        </table>
    </form>
</script>
<!-- 用户邮件订阅页面模板-->
<script id="receiveEmailTemplate" type="text/x-jQuery-tmpl">
    <form id="receiveEmailForm">
        <ul>
            <li><input type="radio" name="receiveEmail" value="true">接受来自木头盒子精选推荐，不定期发送</li>
            <li><input type="radio" name="receiveEmail" value="false">不订阅木头盒子每周精华推荐</li>
            <li style="padding-top:55px;"><input type="button" id="updateReceiveEmailBtn" value="保存设置" class="Public-Btn-Box SaveChange"/> <span class="resultMessage"></span></li>
    </form>
</script>
<!-- 用户密码模板 -->
<script id="resetPasswordTemplate" type="text/x-jQuery-tmpl">
    <form id="pwdForm">
    <table cellpadding="5" cellspacing="10">
  <tr><td><div align="right" class="f">旧密码</div></td><td><input type="password" id="oldPwd" name="oldPwd" class="inputBox Rounded"/></td></tr>
        <tr><td><div align="right" class="f">新密码</div></td><td><input type="password" id="newPwd" name="newPwd" class="inputBox Rounded"/></td></tr>
        <tr><td><div align="right" class="f">重复密码</div></td><td><input type="password" id="repPwd" name="repPwd" class="inputBox Rounded" equalTo="#newPwd"/></td></tr>
        <tr><td>&nbsp;</td><td><input type="submit" id="resetPwdBtn" value="保存设置" class="Public-Btn-Box SaveChange"/><span class="resultMessage"></span></td></tr>
    </table>
    </form>
</script>

<script id="associationListTemplate" type="text/x-jQuery-tmpl">
    <div class="title">绑定你的其他社交账号，就可以一键同步分享了。（木头盒子同步任何信息，均在你确认之后）</div>
    {{each list}}
    <div class="boundList clearfix">
        <ul>
            <li style="+width:131px;">
                <div class="ico_Bound">
                    {{if partyId==1}}<input type="button" value=" " class="ico_Bound_sina">{{/if}}
                    {{if partyId==2}}<input type="button" value=" " class="ico_Bound_qq">{{/if}}
                    {{if partyId==3}}<input type="button" value=" " class="ico_Bound_qqt">{{/if}}
                    {{if partyId==4}}<input type="button" value=" " class="ico_Bound_tao">{{/if}}
                </div>
            </li>
            <li>{{if bound}}<input type="button" value=" " class="bound_yes bind" data-id="${id}">{{else}}<a href="${urlToBind}"><input type="button" value="绑定帐号" class="bind bound_no"></a>{{/if}}
          
            </li>
            <li class="ColorC1">{{if bound}}分享时，可选择同步到${partyName}哦！{{else}}绑定账号即可与好友一起分享哦！{{/if}}</li>
        </ul>    
    </div>
    {{/each}}
</script>

